---
# tasks file for agnox.phpldapadmin

- name: install dependencies
  yum: name={{ item }} state=installed
  with_items:
   - epel-release
   - net-tools
   - links
   - wget
   - phpldapadmin

- name: open port http and https
  firewalld: port={{ item }} permanent=true state=enabled immediate=true
  with_items:
   - 80/tcp
   - 443/tcp

#$servers->setValue('login','attr','dn');

- lineinfile:
    dest: /etc/phpldapadmin/config.php
    #regexp: ^\s*[#]?\s*\$servers->setValue\s*(\s*[\'\"]login[\'\"]\s*,\s*[\'\"]bind_id[\'\"]\s*,\s*[\'\"].*$
    regexp: ^\s*[#]?\s*.*servers.*setValue.*login.*bind_id.*$
    line: "$servers->setValue('login','bind_id','{{ phpldapadmin_login_bind_id }}');"

- lineinfile:
    dest: /etc/phpldapadmin/config.php
    #regexp: ^\s*[#]?\s*\$servers->setValue\s*(\s*[\'\"]login[\'\"]\s*,\s*[\'\"]bind_pass[\'\"]\s*,\s*[\'\"].*$
    regexp: ^\s*[#]?\s*.*servers.*setValue.*login.*bind_pass.*$
    line: "$servers->setValue('login','bind_pass','{{ phpldapadmin_login_bind_pass }}');"

- name: httpd service
  service: name=httpd state=started enabled=yes

# edit /etc/httpd/conf.d/phpldapadmin.conf
